package com.jasamedika.medifirst2000.entities;

import java.util.Date;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.FetchType;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.Table;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.jasamedika.medifirst2000.base.BaseTransaction;
import com.jasamedika.medifirst2000.helper.Caption;

@Entity
@Table(name = "MapPasienDpjpToPasienDaftar_T")
@JsonIgnoreProperties({"hibernateLazyInitializer", "handler"})
public class MapPasienDpjpToPasienDaftar extends BaseTransaction{

	@ManyToOne(fetch=FetchType.LAZY)
	@JoinColumn(name = "ObjectPasienDaftarFk")
	@Caption(value="Object Pasien Daftar")
	private PasienDaftar pasienDaftar;

	@Column(name = "ObjectPasienDaftarFk", insertable=false, updatable=false)
	private String pasienDaftarId;
	
	@ManyToOne(fetch=FetchType.LAZY)
	@JoinColumn(name = "ObjectJadwalDpjpFk")
	@Caption(value="Object Jadwal Dpjp")
	private JadwalDpjpRawatInap jadwalDpjp;

	@Column(name = "ObjectJadwalDpjpFk", insertable=false, updatable=false)
	private String jadwalDpjpId;
	
	@Column(name = "TglInput", nullable = true)
	@Caption(value = "Tgl Input")
	private Date tglInput;

	public PasienDaftar getPasienDaftar() {
		return pasienDaftar;
	}

	public void setPasienDaftar(PasienDaftar pasienDaftar) {
		this.pasienDaftar = pasienDaftar;
	}

	public String getPasienDaftarId() {
		return pasienDaftarId;
	}

	public void setPasienDaftarId(String pasienDaftarId) {
		this.pasienDaftarId = pasienDaftarId;
	}

	public JadwalDpjpRawatInap getJadwalDpjp() {
		return jadwalDpjp;
	}

	public void setJadwalDpjp(JadwalDpjpRawatInap jadwalDpjp) {
		this.jadwalDpjp = jadwalDpjp;
	}

	public String getJadwalDpjpId() {
		return jadwalDpjpId;
	}

	public void setJadwalDpjpId(String jadwalDpjpId) {
		this.jadwalDpjpId = jadwalDpjpId;
	}

	public Date getTglInput() {
		return tglInput;
	}

	public void setTglInput(Date tglInput) {
		this.tglInput = tglInput;
	}
	
}
